package com.caimei.www.controller.authorized.document;

import com.caimei.www.controller.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class DocumentController extends BaseController {
    /** 资料库登录 */
    private static final String DOCUMENT_LOGIN = "document/login";
    /** 资料列表 */
    private static final String DOCUMENT_LIST = "document/list";
    /** 资料详情 */
    private static final String DOCUMENT_DETAILS = "document/details";
    /** 更多资料 */
    private static final String DOCUMENT_MORECONTENT= "document/more-content";


    /** 资料库登录 */
    @GetMapping("/document/login.html")
    public String dashboard() {
        return DOCUMENT_LOGIN;
    }

    /** 资料列表 */
    @GetMapping("/document/list.html")
    public String orderList() {
        return DOCUMENT_LIST;
    }

    /** 资料详情 */
    @GetMapping("/document/details.html")
    public String orderDetail() {
        return DOCUMENT_DETAILS;
    }

    /** 更多资料 */
    @GetMapping("/document/more-content.html")
    public String orderSettlement() {
        return DOCUMENT_MORECONTENT;
    }
}
